import { Injectable } from "@angular/core";

import { Item } from "./item";

@Injectable()
export class ItemService {
    private items = new Array<Item>(
        { id: 1, name: "Ter Stegen", role: "Goalkeeper", image: null },
        { id: 3, name: "Piqué", role: "Defender", image: null },
        { id: 4, name: "I. Rakitic", role: "Midfielder", image: null },
        { id: 5, name: "Sergio", role: "Midfielder", image: null },
        { id: 6, name: "Denis Suárez", role: "Midfielder", image: null },
        { id: 7, name: "Arda", role: "Midfielder", image: null },
        { id: 8, name: "A. Iniesta", role: "Midfielder", image: null },
        { id: 9, name: "Suárez", role: "Forward", image: null },
        { id: 10, name: "Messi", role: "Forward", image: null },
        { id: 11, name: "Neymar", role: "Forward", image: null },
        { id: 12, name: "Rafinha", role: "Midfielder", image: null },
        { id: 13, name: "Cillessen", role: "Goalkeeper", image: null },
        { id: 14, name: "Mascherano", role: "Defender", image: null },
        { id: 17, name: "Paco Alcácer", role: "Forward", image: null },
        { id: 18, name: "Jordi Alba", role: "Defender", image: null },
        { id: 19, name: "Digne", role: "Defender", image: null },
        { id: 20, name: "Sergi Roberto", role: "Midfielder", image: null },
        { id: 21, name: "André Gomes", role: "Midfielder", image: null },
        { id: 22, name: "Aleix Vidal", role: "Midfielder", image: null },
        { id: 23, name: "Umtiti", role: "Defender", image: null },
        { id: 24, name: "Mathieu", role: "Defender", image: null },
        { id: 25, name: "Masip", role: "Goalkeeper", image: null },
    );

    getItems(): Item[] {
        return this.items;
    }

    getItem(id: number): Item {
        return this.items.filter(item => item.id === id)[0];
    }
}
